Subject: Re: 0.9.7a problems

From: hunter <[email-masked]>
Date: 26 Mar 2003 19:28:50 -0500

On Wed, 2003-03-26 at 05:32, Edwin Cleton wrote:
> If you were a woman I'd kiss you! this works like before, no more crashes or errors like these:
> 
> [Tue Mar 25 15:37:01 2003] [error] mod_ssl: SSL handshake failed (server 10.1.1.28:443, client 10.1.1.28) (OpenSSL library error follows)
> [Tue Mar 25 15:37:01 2003] [error] OpenSSL: error:1408F455:SSL routines:SSL3_GET_RECORD:decryption failed or bad record mac
> 
> There is definately something wrong in openssl 0.9.7a, or, mod_ssl 2.8.14 is trying to call 0.9.6 functions which are different/don't exist in 0.9.7
> 
> Tnx! Sincerely, Edwin Cleton
> 
> On 26 Mar 2003 04:25 , hunter <[email-masked]> sent:
> 
> >On Wed, 2003-03-26 at 03:31, Edwin Cleton wrote:
> >> Hunter,
> >> 
> >> Could you possibly compile a version with openssl 0.9.6i ?
> >> (apache 1.3.27, mod_ssl 2.8.14 and openssl 0.9.6i, win32, and the openssl dll files)
> >> 
> >> I am having mayor problems with 0.9.7a under windows including problems with stunnel dos and windows version.
> >> 
> >> Sincerely, Edwin Cleton
> >> 
> >> [email-masked] - Technical Support Engineer
> >> 
> >Edwin,
> >
> >Done...
> >
> >http://tor.ath.cx/~hunter/apache/Apache_1.3.27-Mod_SSL_2.8.14-Openssl_0.9.6i-Win32.zip
> >http://tor.ath.cx/~hunter/apache/Openssl-0.9.6i-Win32.zip
> >
> >Let me know how you make out with these...
> >
> >Chris
> >
> >
> 
> 
Edwin,

I am happy that this has helped.

I have cc'd the mod_ssl list so that perhaps someone can look into it. I
am not involved with the developers of the code. I only build the
Windows binaries for people.

Chris

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]